# JSC's EasyBuild private repo
This is the repo to store all the EasyBuild configuration files, including easyconfigs.

Each stage is in a separate branch, containing all the relevant files for that stage


This repository uses [autopep8](https://github.com/hhatto/autopep8) and [pre-commit](https://pre-commit.com). For that, you need to run this on your machine:

```sh
pip3 install --user autopep8
pip3 install --user pre-commit
pre-commit install
```

After those steps, `pre-commit` will call `autopep8` on each commit, and make small changes pass the pep8 test without needing to do a manual `eb --check-style` and checking each little mistake.

